Subject: RE: [Ltru] Fix for ambiguous conformance requirements

From: "Addison Phillips" <[email-masked]>
Date: Mon, 23 May 2005 13:11:10 -0700

Yes, but...

The conformance requirements in section 2 describe the grammar of language tags as defined by the ABNF. The tone and form is the same as RFC 3066 and RFC 1766 before it. Do you really think anyone will be confused by that? Here is one example:

<q>Script subtags MUST immediately follow the primary language subtag and all extended language subtags and MUST occur before any other type of subtag described below.</t>

Most of the other conformance requirements apply to specific actors, who are specified. It is possible that we could rewrite section 2 to be more melodious. For example:

<q>When forming a language tag, the script subtag MUST immediately follow the primary language subtag and all extended language subtags and MUST occur before any other type of subtag described below.</q>

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 
> -----Original Message-----
> From: McDonald, Ira [mailto:[email-masked]]
> Sent: 2005?5?23? 8:18
> To: Addison Phillips; McDonald, Ira; [email-masked]
> Subject: RE: [Ltru] Fix for ambiguous conformance requirements
> 
> Hi Addison,
> 
> Sigh...I tried.
> 
> Conformance requirements written in the passive imperative are
> essentially useless.  A given actor (person or software) can be
> said to comply with a conformance requirement only if they are
> explicitly named as the subject of an active voice sentence.
> 
> The whole section 2 is full of passive sentences about the MUST
> or SHOULD length/content/position of specific classes of language
> subtags.  Why bother to have them?  Conformance requirements
> never apply to _readers_.  They only apply to _actors_.
> 
> There is clearly no support on this mailing list for rewriting
> every conformance requirement to active voice with explicit actors.
> 
> I'll stop wasting your time.
> 
> Cheers,
> - Ira
> 
> Ira McDonald (Musician / Software Architect)
> Blue Roof Music / High North Inc
> PO Box 221  Grand Marais, MI  49839
> phone: +1-906-494-2434
> email: [email-masked]
> 
> > -----Original Message-----
> > From: Addison Phillips [mailto:[email-masked]]
> > Sent: Sunday, May 22, 2005 5:21 PM
> > To: McDonald, Ira; [email-masked]
> > Subject: RE: [Ltru] Fix for ambiguous conformance requirements
> >
> >
> > Hmm... I'm not happy with this text. It is too vague for my tastes.
> >
> > First, many of the requirements in this document have nothing
> > to do with the listed implementation types or uses of
> > language tags. They apply strictly to the registry and its
> > population and maintenance.
> >
> > Second, why do you think this is necessary? The
> > MUST-ification and SHOULD-ification of various items should
> > apply to the audience interested in that particular item
> > without additional trappings. If one or another requirement
> > should be strengthened or relaxed, then let's discuss that.
> > If you think that different levels of MUST-ifying should
> > apply to different applications, then we should spell that
> > out in place and not vaguely mention it in the introduction.
> >
> > Addison
> >
> > Addison P. Phillips
> > Globalization Architect, Quest Software
> > Chair, W3C Internationalization Core Working Group
> >
> > Internationalization is not a feature.
> > It is an architecture.
> >
> > > -----Original Message-----
> > > From: [email-masked]
> > [mailto:[email-masked]] On
> > > Behalf Of McDonald, Ira
> > > Sent: 2005?5?22? 11:10
> > > To: [email-masked]
> > > Subject: [Ltru] Fix for ambiguous conformance requirements
> > >
> > > Hi folks,                                           Sunday
> > (22 May 2005)
> > >
> > > Addison - Below is an update for section 1 of ltru-registry that
> > > resolves my concerns about implied performers of uppercase
> > imperatives.
> > >
> > >
> > --------------------------------------------------------------
> > ----------
> > >
> > > (add title to last paragraph of section 1 and add one new paragraph)
> > >
> > > 1.1  Conformance Terminology
> > >
> > >     The keywords "MUST", "MUST NOT", "REQUIRED", "SHALL",
> > "SHALL NOT",
> > >     "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and
> > "OPTIONAL" in this
> > >     document are to be interpreted as described in RFC 2119 [10].
> > >
> > >     Consistent with previous versions of this document, RFC
> > 1766 [21]
> > >     and RFC 3066 [23], most conformance requirements in
> > this document
> > >     are written in passive voice using uppercase
> > conformance keywords.
> > >     Content authors, authoring tools, content distributors,
> > distribution
> > >     tools, and content repositories (e.g., content servers
> > and content
> > >     archives) that create or copy language tags MUST comply
> > with all of
> > >     these conformance requirements.  Content users and user
> > tools (e.g.,
> > >     web browsers) that create or copy language tags in
> > content queries
> > >     SHOULD also comply with all of these conformance requirements.
> > >
> > >
> > --------------------------------------------------------------
> > ----------
> > >
> > > Comments?
> > >
> > > Cheers,
> > > - Ira
> > >
> > > Ira McDonald (Musician / Software Architect)
> > > Blue Roof Music / High North Inc
> > > PO Box 221  Grand Marais, MI  49839
> > > phone: +1-906-494-2434
> > > email: [email-masked]
> > >
> > > _______________________________________________
> > > Ltru mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/ltru
> >

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Mark Davis" <[email-masked]>
Date: Mon, 23 May 2005 13:24:46 -0700

In the present language it is clear what is required for conformance. I
don't see any need for further wordsmithing.

‎Mark

----- Original Message ----- 
From: "Addison Phillips" <[email-masked]>
To: "McDonald, Ira" <[email-masked]>; <[email-masked]>
Sent: Monday, May 23, 2005 13:11
Subject: RE: [Ltru] Fix for ambiguous conformance requirements

Yes, but...

The conformance requirements in section 2 describe the grammar of language
tags as defined by the ABNF. The tone and form is the same as RFC 3066 and
RFC 1766 before it. Do you really think anyone will be confused by that?
Here is one example:

<q>Script subtags MUST immediately follow the primary language subtag and
all extended language subtags and MUST occur before any other type of subtag
described below.</t>

Most of the other conformance requirements apply to specific actors, who are
specified. It is possible that we could rewrite section 2 to be more
melodious. For example:

<q>When forming a language tag, the script subtag MUST immediately follow
the primary language subtag and all extended language subtags and MUST occur
before any other type of subtag described below.</q>

Addison

Addison P. Phillips